RubyGems Navigation menu

hyperresource 0.9.4

HyperResource is a hypermedia client library for Ruby. Its goals are to interface directly with well-behaved hypermedia APIs, to allow the data returned from these APIs to optionally be extended by client-side code, and to present a modern replacement for ActiveResource.

Versions:

  1. 0.9.4 - November 18, 2015 (16.5 KB)
  2. 0.9.3 - November 02, 2015 (16.5 KB)
  3. 0.9.2 - October 28, 2015 (16.5 KB)
  4. 0.9.1 - March 25, 2015 (16.5 KB)
  5. 0.9.0 - May 29, 2014 (16 KB)
Show all versions (19 total)

Runtime Dependencies (4):

faraday >= 0.8.6
fuzzyurl = 0.2.2
json >= 0
uri_template >= 0.5.2

Development Dependencies (4):

minitest >= 4.7.0
mocha >= 0.13.3
rake >= 10.0.4
sinatra >= 1.4.0

Owners:

Authors:

  • Pete Gamache

SHA 256 checksum:

f0b7e10cd16e3388e40799ae74a5cc5813757eb973d7d5b6260b7a4c3def248e

Total downloads 111,504

For this version 54,659

Gemfile:
= Copy to clipboard Copied!

install:
=

License:

MIT

Required Ruby Version: >= 1.8.7

Links: